GET api/departmentapi/department/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Response Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "279136ba-e219-45cb-abcd-ef1748ba37ab",
  "id": "33f3542d-9d4a-4122-a12f-fac0835f0ea0",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "0b2cfe4f-9a6a-4484-81c4-3ff93ccab725",
  "selected_sticker_id": "5f737b70-d194-4669-be75-17722760f765"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>279136ba-e219-45cb-abcd-ef1748ba37ab</contract_id>
  <id>33f3542d-9d4a-4122-a12f-fac0835f0ea0</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>0b2cfe4f-9a6a-4484-81c4-3ff93ccab725</selected_nameplate_id>
  <selected_sticker_id>5f737b70-d194-4669-be75-17722760f765</selected_sticker_id>
</department>